For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task lists of the project with the specified id.
      • POSTCreates a new task list.
      • GETReturns the task list with the specified id.
      • PUTUpdates the task list with the specified id.
      • POSTAdds the tasks to the task list with the specified id.
      • POSTChanges the project of the task list with the specified id.
      • POSTCreates a copy of the task list.
      • POSTDeletes the task list with the specified id.
      • POSTRemoves the tasks from the task list with the specified id.
      • POSTArchives or unarchives the task list with the specified id.
      • GETReturns the task with the specified id in the task list with the specified id.
      • POSTUpdates the order of a task in a task list.
      • POSTUpdates the order of the task list with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Lists

Returns all task lists of the project with the specified id.

GET
https://api.awork.com/api/v1/projects/:projectId/tasklists
GET
/api/v1/projects/:projectId/tasklists
$curl https://api.awork.com/api/v1/projects/projectId/tasklists \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1[
2 {
3 "id": "9f8b7c6d-1234-4a56-b789-0a1b2c3d4e5f",
4 "createdOn": "2023-11-10T09:15:00Z",
5 "createdBy": "4a3b2c1d-5678-4e90-8f12-3a4b5c6d7e8f",
6 "updatedOn": "2024-04-20T14:45:00Z",
7 "updatedBy": "4a3b2c1d-5678-4e90-8f12-3a4b5c6d7e8f",
8 "name": "Sprint 12 Backlog",
9 "order": 1,
10 "plannedDuration": 14400,
11 "totalPlannedDuration": 43200,
12 "totalPlannedDurationWithHierarchy": 57600,
13 "isArchived": false,
14 "isHiddenForConnectUsers": false,
15 "trackedDuration": 36000
16 }
17]
The permission check in this function is dynamically based on the entity name. In the cases where the user tries to get the project task lists, the user needs read permissions on the project-planning-data feature. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a new task list.

Next
Built with

The permission check in this function is dynamically based on the entity name. In the cases where the user tries to get the project task lists, the user needs read permissions on the project-planning-data feature.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Query parameters

showArchivedbooleanOptionalDefaults to false
The show Archived.
pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the task list.
createdOnstringformat: "date-time"
The date this task list was created.
createdBystringformat: "uuid"
The id of the user who created this task list.
updatedOnstringformat: "date-time"
The date this task list was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task list.
namestring or null
The name of the list.
orderdouble or null
The order of the list.
plannedDurationinteger or null
The planned duration for this task list, in seconds.
totalPlannedDurationlong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchylong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedboolean
Whether the task list has been archived.
isHiddenForConnectUsersboolean
True if the task in this list will be not visible for external workspace users. False otherwise.
trackedDurationinteger

The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

Errors

401
Unauthorized Error